import { Reporter, RunResult } from './runner';
declare type Config = {
    printResults: boolean;
    printProgress: boolean;
};
export declare class ConsoleReporter implements Reporter {
    private readonly config;
    private lastProgress?;
    constructor(config?: Config);
    report(result: RunResult): Promise<void>;
    progress(type: string, info?: string): Promise<void>;
}
export {};
